package model

func (d *SpeechDomainParams) CheckDm() bool {
	if d.SpeechWsResp.Dm == nil {
		return false
	}
	return true
}

func (d *SpeechDomainParams) CheckWidget() bool {
	if !d.CheckDm() || d.SpeechWsResp.Dm.Widget == nil {
		return false
	}
	return true
}

func (d *SpeechDomainParams) CheckDmParam() bool {
	if !d.CheckDm() || d.SpeechWsResp.Dm.Param == nil {
		return false
	}
	return true
}

func (d *SpeechDomainParams) CheckEvent() bool {
	if !d.CheckDmParam() || d.SpeechWsResp.Dm.Param.Event == "" {
		return false
	}
	return true
}

func (d *SpeechDomainParams) CheckDate() bool {
	if !d.CheckDmParam() || d.SpeechWsResp.Dm.Param.Date == "" {
		return false
	}
	return true
}

func (d *SpeechDomainParams) CheckRepeat() bool {
	if !d.CheckDmParam() || d.SpeechWsResp.Dm.Param.Repeat == "" {
		return false
	}
	return true
}

func (d *SpeechDomainParams) CheckDmCommand() bool {
	if !d.CheckDm() || d.SpeechWsResp.Dm.Command == nil {
		return false
	}
	return true
}

func (d *SpeechDomainParams) CheckCommandParam() bool {
	if !d.CheckDmCommand() || d.SpeechWsResp.Dm.Command.Param == nil {
		return false
	}
	return true
}

func (d *SpeechDomainParams) CheckWidExtra() bool {
	if !d.CheckWidget() || d.SpeechWsResp.Dm.Widget.Extra == nil {
		return false
	}
	return true
}

func (d *SpeechDomainParams) CheckWidResult() bool {
	if !d.CheckWidExtra() || d.SpeechWsResp.Dm.Widget.Extra.Result == nil {
		return false
	}
	return true
}
