package dao

import (
	"errors"
	"speech-nlu-parse/model"
)

func GetTestContent(mac, query string) (err error, content, url string) {
	selectSql := "select content, url from " + test_content_url + " where macwifi='" + mac + "' and query='" + query + "' limit 1"

	rows, err := conn.Query(selectSql)
	if err != nil {
		return err, "", ""
	}
	defer rows.Close()
	isEmpty := true
	for rows.Next() {
		isEmpty = false
		err := rows.Scan(&content, &url)
		if err != nil {
			return err, "", ""
		}
	}

	if isEmpty {
		return errors.New("empty test content"), "", ""
	}
	return
}

// 查询是否全局自定义
func GetAnyTestContent(mac, query string) (err error, content, url string) {
	selectSql := "select content, url from test_content_url where macwifi='any' and query='" + query + "'"
	rows, err := conn.Query(selectSql)
	if err != nil {
		return err, "", ""
	}
	defer rows.Close()
	isEmpty := true
	for rows.Next() {
		isEmpty = false
		err := rows.Scan(&content, &url)
		if err != nil {
			return err, "", ""
		}
	}
	if isEmpty {
		return errors.New("empty test any content"), "", ""
	}
	return
}

func GetMidAppKey() ([]*model.MidAppKey, error) {
	sql := "select mid, appkey, access_token, vender, uri_type from " + mid_appkey
	rows, err := conn.Query(sql)
	if err != nil {
		return nil, err
	}
	defer rows.Close()
	midAppKeyArr := make([]*model.MidAppKey, 0)
	for rows.Next() {
		var midAppKey = &model.MidAppKey{}
		err = rows.Scan(&midAppKey.Mid, &midAppKey.AppKey, &midAppKey.AccessToken, &midAppKey.Vender, &midAppKey.UrlType)
		if err != nil {
			return nil, err
		}
		midAppKeyArr = append(midAppKeyArr, midAppKey)
	}
	return midAppKeyArr, nil
}
