package errCode

var (
	Success                           = NewError(0, "成功")
	TargetDeviceNotExist              = NewError(1200, "目标设备不存在")
	TargetDeviceNotOnline             = NewError(1201, "目标设备不在线")
	TargetDeviceNotResponding         = NewError(1202, "目标设备未响应")
	MultipleTargetDevices             = NewError(1203, "存在多个目标设备")
	MutuallyExclusiveFunction         = NewError(1204, "存在互斥功能")
	AlreadyTarget                     = NewError(1205, "已是目标状态")
	TargetDeviceNotThisFunction       = NewError(1206, "目标设备没有该功能")
	RequestFormatError                = NewError(1401, "请求格式错误")
	InformationMissing                = NewError(1402, "用户或设备信息缺失")
	IdentityAuthenticationFailed      = NewError(1403, "身份认证失败")
	InternalServiceError              = NewError(1500, "内部服务错误")
	IotInterfaceAccessTimeout         = NewError(1501, "iot接口访问超时")
	IotInterfaceReturnsError          = NewError(1502, "iot接口返回错误")
	DingdangInterfaceTimeout          = NewError(1503, "叮当服务超时")
	DingdangInterfaceRequestFrequency = NewError(1504, "叮当服务请求过快")
)
